# $Revision: 1.51 $, $Date: 2012/05/16 19:41:32 $
# TODO
# - (gnome-settings-daemon:8918): updates-plugin-WARNING **: failed to open directory: Error opening directory '/run/udev/firmware-missing': Permission denied
#
# Conditiional build:
%bcond_without	systemd # by default use systemd for session tracking instead of ConsoleKit (fallback to ConsoleKit on runtime)
#
Summary:	GNOME Settings Daemon
Summary(pl.UTF-8):	Demon ustawień GNOME
Name:		gnome-settings-daemon
Version:	3.4.2
Release:	1
Epoch:		1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-settings-daemon/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	f8c985ce46c720cff28208ccb799c6b7
Patch0:		%{name}-pa-reconnect.patch
Patch1:		%{name}-link.patch
Patch2:		systemd-fallback.patch
URL:		http://www.gnome.org/
BuildRequires:	PackageKit-devel >= 0.6.13
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
BuildRequires:	colord-devel >= 0.1.12
BuildRequires:	cups-devel
BuildRequires:	fontconfig-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gnome-desktop-devel >= 3.4.0
BuildRequires:	gsettings-desktop-schemas-devel >= 3.4.0
BuildRequires:	gtk+3-devel >= 3.4.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	lcms2-devel >= 2.2
BuildRequires:	libcanberra-gtk3-devel
BuildRequires:	libgnomekbd-devel >= 3.0.0
BuildRequires:	libnotify-devel >= 0.7.3
BuildRequires:	libtool
BuildRequires:	libwacom-devel >= 0.3
BuildRequires:	libxklavier-devel >= 5.0
BuildRequires:	nss-devel >= 3.11.2
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel >= 0.9.16
BuildRequires:	rpmbuild(macros) >= 1.593
BuildRequires:	sed >= 4.0
%{?with_systemd:BuildRequires:  systemd-devel}
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-glib-devel
BuildRequires:	upower-devel >= 0.9.11
BuildRequires:	xorg-driver-input-wacom-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xorg-lib-libXxf86misc-devel
BuildRequires:	xorg-proto-kbproto-devel
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.32.0
Requires:	gnome-desktop >= 3.4.0
Requires:	gsettings-desktop-schemas >= 3.4.0
Requires:	gtk+3 >= 3.4.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
Conflicts:	gnome-color-manager < 3.1.92-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Settings Daemon.

%description -l pl.UTF-8
Demon ustawień GNOME.

%package devel
Summary:	Header file for developing GNOME Settings Daemon clients
Summary(pl.UTF-8):	Plik nagłówkowy do tworzenia klientów demona ustawień GNOME
Group:		Development/Libraries
Requires:	dbus-devel >= 1.2.0
Requires:	glib2-devel >= 1:2.32.0
# doesn't require base currently

%description devel
Header file for developing GNOME Settings Daemon clients.

%description devel -l pl.UTF-8
Plik nagłówkowy do tworzenia klientów demona ustawień GNOME.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%{?with_systemd:%patch2 -p1}

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{__enable_disable systemd systemd} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/gnome-settings-daemon-3.0/gtk-modules

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gnome-settings-daemon-3.0/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_libexecdir}/gnome-fallback-mount-helper
%attr(755,root,root) %{_libexecdir}/gnome-settings-daemon
%attr(755,root,root) %{_libexecdir}/gsd-backlight-helper
%attr(755,root,root) %{_libexecdir}/gsd-locate-pointer
%attr(755,root,root) %{_libexecdir}/gsd-printer
%attr(755,root,root) %{_libexecdir}/gsd-wacom-led-helper
%dir %{_libdir}/gnome-settings-daemon-3.0
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/liba11y-keyboard.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/liba11y-settings.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libbackground.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libclipboard.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libcolor.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libcursor.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libgsd.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libgsdwacom.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libhousekeeping.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libkeyboard.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libmedia-keys.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libmouse.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/liborientation.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libpower.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libprint-notifications.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libsmartcard.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libsound.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libupdates.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libxrandr.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libxsettings.so
%{_libdir}/gnome-settings-daemon-3.0/a11y-keyboard.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/a11y-settings.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/background.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/clipboard.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/color.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/cursor.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/housekeeping.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/keyboard.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/media-keys.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/mouse.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/orientation.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/power.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/print-notifications.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/smartcard.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/sound.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/updates.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/wacom.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/xrandr.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/xsettings.gnome-settings-plugin
%dir %{_libdir}/gnome-settings-daemon-3.0/gtk-modules
%{_datadir}/GConf/gsettings/gnome-settings-daemon.convert
%{_datadir}/dbus-1/services/org.gnome.SettingsDaemon.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/gnome-settings-daemon
%{_datadir}/gnome-settings-daemon-3.0
%{_datadir}/polkit-1/actions/org.gnome.settings-daemon.plugins.power.policy
%{_datadir}/polkit-1/actions/org.gnome.settings-daemon.plugins.wacom.policy
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg
%{_mandir}/man1/gnome-settings-daemon.1*
%{_sysconfdir}/xdg/autostart/gnome-fallback-mount-helper.desktop
%{_sysconfdir}/xdg/autostart/gnome-settings-daemon.desktop

%files devel
%defattr(644,root,root,755)
%{_includedir}/gnome-settings-daemon-3.0
%{_pkgconfigdir}/gnome-settings-daemon.pc
%{_datadir}/dbus-1/interfaces/org.gnome.SettingsDaemonUpdates.xml

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-settings-daemon.spec,v $
Revision 1.51  2012/05/16 19:41:32  kiesiu
- updated to 3.4.2

Revision 1.50  2012/04/16 13:49:31  megabajt
- updated to 3.4.1

Revision 1.49  2012/04/01 12:21:27  glen
- do not bcond patch sources

Revision 1.48  2012/04/01 11:23:03  kiesiu
- patch for runtime fallback to ConsoleKit
- rel. 3

Revision 1.47  2012/03/31 22:31:23  kiesiu
- update systemd bcond description
- added systemd bcond BR
- rel. 2

Revision 1.46  2012/03/27 19:06:39  kiesiu
- updated to 3.4.0; merged from DEVEL
- added systemd bcond (off by default)

Revision 1.45.2.2  2012/03/07 20:01:03  megabajt
- updated to 3.3.91

Revision 1.45.2.1  2012/02/21 23:42:31  megabajt
- updated to 3.3.90.1

Revision 1.45  2011/11/12 23:42:06  megabajt
- updated to 3.2.2

Revision 1.44  2011/10/17 20:36:23  kiesiu
- updated to 3.2.1
- patch power-dbus-signal applied upstream

Revision 1.43  2011/10/16 15:08:03  kiesiu
- added power-dbus-signal patch to fix https://bugzilla.gnome.org/show_bug.cgi?id=659908
- rel. 2

Revision 1.42  2011/09/27 18:35:42  kiesiu
- updated to 3.2.0; merged from DEVEL

Revision 1.41  2011/08/25 19:36:31  megabajt
- updated to 3.0.3

Revision 1.40  2011/08/19 09:48:05  glen
- some todo

Revision 1.39.2.9  2011/09/25 16:47:19  wiget
- conflicts with older gnome-color-manager
- rel. 2

Revision 1.39.2.8  2011/09/25 11:08:26  kiesiu
- use pnp.ids from gnome-desktop

Revision 1.39.2.7  2011/09/19 16:11:12  megabajt
- updated to 3.1.92

Revision 1.39.2.6  2011/09/19 09:16:19  wiget
- remove duplicate BR for nss-devel

Revision 1.39.2.5  2011/09/18 18:32:48  megabajt
- updated deps

Revision 1.39.2.4  2011/09/06 14:40:51  wiget
- up to 3.1.91

Revision 1.39.2.3  2011/09/05 16:46:41  wiget
- swtich to .xz

Revision 1.39.2.2  2011/09/01 21:45:41  patrys
- 3.1.90

Revision 1.39.2.1  2011/07/31 19:57:30  patrys
- 3.1.4

Revision 1.39  2011/05/23 22:28:27  kiesiu
- updated to 3.0.2

Revision 1.38  2011/04/26 15:53:44  megabajt
- updated to 3.0.1

Revision 1.37  2011/04/10 00:07:42  lisu
- PackageKit >= 0.6.13 required
- rel 2

Revision 1.36  2011/04/06 13:43:43  megabajt
- updated to 3.0.0.1

Revision 1.35  2011/04/04 17:35:57  kiesiu
- updated to 3.0.0; merged from DEVEL

Revision 1.34  2011/04/02 06:46:55  qboosh
- en@shaw locale is now supported (via LANGUAGE)
- use __rm macro

Revision 1.33  2011/02/04 18:23:52  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.32.2.15  2011/03/28 15:09:12  wiget
- gnome-desktop3 renamed to gnome-desktop

Revision 1.32.2.14  2011/03/26 21:13:16  megabajt
- updated to 2.91.93

Revision 1.32.2.13  2011/03/22 21:17:56  megabajt
- require gnome-desktop3, not gnome-desktop

Revision 1.32.2.12  2011/03/22 17:53:29  wiget
- BR/R gsettings-desktop-schemas/gnome-desktop3 >= 2.91.92 (org.gnome.desktop.background picture-filename to picture-uri rename)

Revision 1.32.2.11  2011/03/21 16:46:10  megabajt
- updated to 2.91.92

Revision 1.32.2.10  2011/03/20 15:56:13  megabajt
- own %{_libdir}/gnome-settings-daemon-3.0/gtk-modules directory

Revision 1.32.2.9  2011/03/17 21:24:38  wiget
- BR update

Revision 1.32.2.8  2011/03/16 22:05:24  megabajt
- added use-etc-sysconfig-timezone.patch

Revision 1.32.2.7  2011/03/08 19:28:21  megabajt
- updated to 2.91.91

Revision 1.32.2.6  2011/02/22 18:04:39  megabajt
- updated to 2.91.90

Revision 1.32.2.5  2011/02/03 17:44:58  wiget
- up to 2.91.9

Revision 1.32.2.4  2011/01/13 22:24:37  wiget
- 2.91.8

Revision 1.32.2.3  2010/12/28 18:12:34  wiget
- 2.91.6.2

Revision 1.32.2.2  2010/12/09 19:28:51  wiget
- 2.91.5.1
- added gtk3.patch to fix compilation with gtk+ 2.91.6

Revision 1.32.2.1  2010/11/21 14:11:52  megabajt
- updated to 2.91.3

Revision 1.32  2010/11/16 19:56:05  megabajt
- updated to 2.32.1

Revision 1.31  2010/09/29 18:27:46  megabajt
- updated to 2.32.0; merged changes from DEVEL

Revision 1.30.2.1  2010/08/31 18:49:16  patrys
- 2.31.91

Revision 1.30  2010/06/22 22:21:44  megabajt
- updated to 2.30.2

Revision 1.29  2010/06/04 23:18:35  baggins
- rel 2
- don't reconnect to pulseaudio damon indefinitely,
  if it's not there for 1 minute, then just stop trying

Revision 1.28  2010/04/26 19:23:10  megabajt
- updated to 2.30.1

Revision 1.27  2010/03/29 17:56:33  megabajt
- updated to 2.30.0; merged changes from DEVEL

Revision 1.26.2.3  2010/03/21 16:51:09  megabajt
- updated to 2.29.92

Revision 1.26.2.2  2010/02/24 17:56:52  megabajt
- updated to 2.29.91.1

Revision 1.26.2.1  2010/02/12 23:35:44  megabajt
- updated to 2.29.90
- removed en@shaw locale

Revision 1.26  2009/10/23 21:46:30  megabajt
- updated to 2.28.1

Revision 1.25  2009/09/26 15:07:10  megabajt
- updated to 2.28.0; merged from DEVEL

Revision 1.24.2.6  2009/08/26 12:17:37  patrys
- 2.27.91

Revision 1.24.2.5  2009/08/14 11:27:46  patrys
- 2.27.90

Revision 1.24.2.4  2009/08/10 07:45:41  patrys
- fixes from upstream

Revision 1.24.2.3  2009/07/29 08:37:59  patrys
- 2.27.5

Revision 1.24.2.2  2009/06/29 21:11:31  patrys
- add libxklavier patch

Revision 1.24.2.1  2009/06/18 14:49:59  patrys
- 2.27.3

Revision 1.24  2009/05/25 12:42:51  patrys
- R: xrdb

Revision 1.23  2009/04/15 09:36:48  megabajt
- updated to 2.26.1

Revision 1.22  2009/03/21 00:11:03  baggins
- rel 2
- drop no-deamon patch, as we have semi-working session management in 2.26

Revision 1.21  2009/03/16 17:57:04  megabajt
- updated to 2.26.0; merged changes from DEVEL

Revision 1.20.2.2  2009/03/05 19:40:53  megabajt
- updated to 2.25.92

Revision 1.20.2.1  2009/02/20 22:17:41  megabajt
- updated to 2.25.90
- removed obsolete -gsd-mouse-xinput.patch

Revision 1.20  2009/01/04 00:34:22  baggins
- rel 3
- fix crash with X servers that don't provide XInput (bug #562977)

Revision 1.19  2009/01/01 23:30:19  baggins
- rel 2
- do not daemonize (2.22 behaviour), doesn't break anything and make things
  work with gnome-session 2.22 (a _working_ session management)

Revision 1.18  2008/11/25 21:16:50  megabajt
- updated to 2.24.1

Revision 1.17  2008/09/27 11:35:08  megabajt
- updated to 2.24.0; merged from DEVEL

Revision 1.15.2.10  2008/09/13 09:25:54  patrys
- bump BR

Revision 1.15.2.9  2008/09/12 23:17:30  patrys
- 2.23.92

Revision 1.15.2.8  2008/09/04 10:27:22  patrys
- 2.23.91

Revision 1.15.2.7  2008/08/19 14:05:21  patrys
- 2.23.90

Revision 1.15.2.6  2008/08/07 14:28:09  patrys
- no libgnomeui dep

Revision 1.15.2.5  2008/07/26 14:01:52  megabajt
- updated to 2.23.5

Revision 1.15.2.4  2008/06/17 13:47:00  megabajt
- updated to 2.23.4

Revision 1.15.2.3  2008/06/04 13:40:01  patrys
- use new gnome-desktop

Revision 1.15.2.2  2008-06-03 20:33:21  patrys
- 2.23.3

Revision 1.16  2008/05/31 22:36:08  megabajt
- updated to 2.22.2.1

Revision 1.15.2.1  2008-05-13 11:25:00  patrys
- 2.23.1.1

Revision 1.15  2008-04-28 09:25:46  megabajt
- updated to 2.22.1

Revision 1.14  2008-03-12 00:45:46  patrys
- rebuildwith new libxklavier
- rel 3

Revision 1.13  2008-03-11 23:53:21  patrys
- rel 2

Revision 1.12  2008-03-11 23:52:48  patrys
- editor.schemas removed from package

Revision 1.11  2008-03-11 23:43:53  patrys
- 2.22.0

Revision 1.10  2008-02-11 17:21:31  megabajt
- updated to 2.21.91
- removed -load-xkb.patch
- more verbose files

Revision 1.9  2008-02-10 20:43:18  patrys
- added upstream patch to fix bug #511771

Revision 1.8  2008-02-01 17:47:58  megabajt
- updated to 2.21.90.2

Revision 1.7  2008-01-15 20:15:43  megabajt
- updated to 2.21.5.2
- sr@Latn -> sr@latin
- reviewed deps

Revision 1.6  2008-01-15 16:06:15  patrys
- 2.21.5

Revision 1.5  2008-01-13 00:38:24  qboosh
- no -libs or -static currently

Revision 1.4  2008-01-13 00:23:44  qboosh
- pl for base, glib2 epoch

Revision 1.3  2007-12-20 04:44:05  patrys
- don't obsolete g-c-c

Revision 1.2  2007-12-20 04:15:40  patrys
- package more files

Revision 1.1  2007-12-20 03:57:10  patrys
- initial PLD release
